Loading...
Searching...
No Matches
Ogre::EdgeData::Edge Struct Reference

Edge data. More...

`#include <OgreEdgeListBuilder.h>`

## Public Attributes

bool | degenerate
| Indicates if this is a degenerate edge, ie it does not have 2 triangles.
uint32 | sharedVertIndex [2]
| Vertex indices as used in the shared vertex list, not exposed.
uint32 | triIndex [2]
| The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run anti clockwise along the edge.
uint32 | vertIndex [2]
| The vertex indices for this edge.

## Detailed Description

Edge data.

## Member Data Documentation

## triIndex

uint32 Ogre::EdgeData::Edge::triIndex[2]

The indexes of the 2 tris attached, note that tri 0 is the one where the indexes run anti clockwise along the edge.

Indexes must be reversed for tri 1.

## vertIndex

uint32 Ogre::EdgeData::Edge::vertIndex[2]

The vertex indices for this edge.

Note that both vertices will be in the vertex set as specified in 'vertexSet', which will also be the same as tri 0

## sharedVertIndex

uint32 Ogre::EdgeData::Edge::sharedVertIndex[2]

Vertex indices as used in the shared vertex list, not exposed.

## degenerate

bool Ogre::EdgeData::Edge::degenerate

Indicates if this is a degenerate edge, ie it does not have 2 triangles.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h